Create or update national/international identity for employee
curl --request PUT \
--url https://app.easyfreelance.no/api/v1/users/{id}/identity \
--header 'API-key: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identification": "<string>",
"country_code": "<string>",
"birthday": "2023-12-25",
"document_id": "<string>"
}
'import requests
url = "https://app.easyfreelance.no/api/v1/users/{id}/identity"
payload = {
"identification": "<string>",
"country_code": "<string>",
"birthday": "2023-12-25",
"document_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"API-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'API-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
identification: '<string>',
country_code: '<string>',
birthday: '2023-12-25',
document_id: '<string>'
})
};
fetch('https://app.easyfreelance.no/api/v1/users/{id}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "<string>",
"internal_id": "<string>",
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>",
"nationality": "<string>",
"note": "<string>",
"bank_account_number": "<string>",
"bank_iban_number": "<string>",
"bank_bic_number": "<string>",
"tax_percent": "<string>",
"tax_type": "<string>",
"tax_start": "<string>",
"tax_table": "<string>",
"tax_free_card": "<string>",
"onboarding": "<string>",
"created_at": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}User
Create or update national/international identity for employee
PUT
/
users
/
{id}
/
identity
Create or update national/international identity for employee
Authorizations
Sanctum personal access token (access_tokens / partner API settings).
UUID API key stored for the partner user.
Path Parameters
Body
application/json
Response
Available options:
true, false ⌘I